# GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_addRecord, e_replaceRecord, e_removeRecord }

## Public Member Functions

| GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_NodeRecord & ()
| operator const GCC_NodeRecord & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate::Choices

Enumerator:

  e_addRecord |
  e_replaceRecord |
  e_removeRecord |

## Constructor & Destructor Documentation

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate::GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate::operator GCC_NodeRecord & | ( |  | ) |

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate::operator const GCC_NodeRecord & | ( |  | ) | const

PBoolean GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate::CreateObject | ( |  | ) |

PObject* GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h